import javax.swing.*;
import java.io.*;

public class radiation_of_suntest3
{
public static void main(String arg[]) throws IOException
{
	//int day=21; 
	//int mounth=11; 
	double standartTime=11.0*60.0; 
	double enlem=38.4; 
	double boylam=-27.25; 
	double ssboylamı=-45.0;
	double yukseklik=0.01; 
	int iklim=2;  // yarı tropikal
	
  //radiation_of_sun r=new radiation_of_sun(day,mounth,standartTime, enlem, boylam,ssboylamı, yukseklik, iklim);
  //System.out.println(r.cikti());
		  double xx[] = new double[365] ;
          double yy[] = new double[365] ;
          int xDay=0;
          int xMounth=0;
          int day_mounth[]={0,31,59,90,120,151,181,212,243,273,304,334}; 	

	for(int i=0; i<=364; i++)
			{
				
				for(int j=0; j<=11; j++)
			
				if( i==day_mounth[j] )
					{xMounth=(j+1);
					 } 
					 
				xDay=i-day_mounth[(xMounth-1)];

				
			    radiation_of_sun r=new radiation_of_sun(xDay,xMounth,standartTime, enlem, boylam,ssboylamı, yukseklik, iklim);
				double t=r.deger()[3];
				
	  		xx[i]=i;
      		yy[i]=t;
 			}
    
      Plot.data(xx,yy);
      
	/* for(int j=0; j<=24; j++)
			{
				
				System.out.println(" "+xx[j]+" "+yy[j]+" \n");
 			}
 	*/		
 			

}
}